%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  BoomSpikeSlab
%global packver   1.2.6
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.2.6
Release:          1%{?dist}%{?buildtag}
Summary:          MCMC for Spike and Slab Regression

License:          LGPL-2.1 | file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildRequires:    R-CRAN-Boom >= 0.9.13
Requires:         R-CRAN-Boom >= 0.9.13

%description
Spike and slab regression with a variety of residual error distributions
corresponding to Gaussian, Student T, probit, logit, SVM, and a few
others.  Spike and slab regression is Bayesian regression with prior
distributions containing a point mass at zero.  The posterior updates the
amount of mass on this point, leading to a posterior distribution that is
actually sparse, in the sense that if you sample from it many coefficients
are actually zeros.  Sampling from this posterior distribution is an
elegant way to handle Bayesian variable selection and model averaging.
See <DOI:10.1504/IJMMNO.2014.059942> for an explanation of the Gaussian
case.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
